Page MenuHomeFreeBSD

stand: Add devformat to return formatted string for a device
ClosedPublic

Authored by imp on Jul 25 2022, 8:32 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Apr 11, 2:47 PM
Unknown Object (File)
Thu, Apr 11, 2:41 PM
Unknown Object (File)
Thu, Apr 11, 2:10 PM
Unknown Object (File)
Sun, Mar 31, 1:38 PM
Unknown Object (File)
Mar 9 2024, 2:20 PM
Unknown Object (File)
Dec 29 2023, 9:46 PM
Unknown Object (File)
Dec 26 2023, 4:16 PM
Unknown Object (File)
Dec 20 2023, 7:28 AM
Subscribers

Details

Summary

Use dv_fmtdev to return a formatted string for a device. If this is a
null pointer, return the device name and unit followed by a colon (eg
disk3:).

Sponsored by: Netflix

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

imp requested review of this revision.Jul 25 2022, 8:32 PM
tsoome added inline comments.
stand/libsa/dev.c
65

cstyle tells us: Test pointers against NULL

This revision is now accepted and ready to land.Jul 25 2022, 10:33 PM
This revision now requires review to proceed.Jul 25 2022, 10:45 PM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 11 2022, 4:28 PM
This revision was automatically updated to reflect the committed changes.